class AdvanceRequestDto {
  final String employeeId;
  final DateTime date;
  final double amount;
  final String reason;

  AdvanceRequestDto({
    required this.employeeId,
    required this.date,
    required this.amount,
    required this.reason,
  });

  Map<String, dynamic> toJson() {
    return {
      'employeeId': employeeId,
      'date': date.toIso8601String(),
      'amount': amount,
      'reason': reason,
    };
  }
}
